Bug 123982 - Upgrade fails due to "odd" partition
Upgrade fails due to "odd" partition
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-05-22 08:10 EDT by Zenon Panoussis
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-08 15:08:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2004-05-22 08:10:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040126

Description of problem:
An FC2beta3 machine has an external firewire hard drive attached and
configured in /etc/fstab. Anaconda sees that but can't see the drive,
so it stops with the message "/dev/sda1 not found" and offers one
single option: "reboot".

How reproducible:

Steps to Reproduce:
1. Attach and configure a firewire drive
2. Try to upgrade

Expected Results:  As long as anaconda can't recognise all kinds of
odd devices, it should offer the possibility "ignore and proceed" in
this situation.
Comment 1 Zenon Panoussis 2004-05-22 12:48:46 EDT
A closely related anaconda problem is in bug #123994
Comment 2 Jeremy Katz 2004-06-08 15:08:33 EDT
anaconda recognizes them if the post-install kernel is going to. 
Unfortunately, if we don't, then there's no good way to know whether
or not it's safe to continue.  Think about the case where someone has
an external drive mounted as /foo and ran out of space on /usr so
symlinked /usr/share to be under /foo.

The only safe thing to do at this point is to halt and not attempt to
do an upgrade.
Comment 3 Zenon Panoussis 2004-06-12 14:49:39 EDT
If the user clicks on "ignore and proceed", the user can be assumed to
know better than anaconda what's safe and what's not, methinks. Anyone
who knows how to symlink some extra space into /usr knows also that
/usr will be needed during the upgrade. 

Try a poll on fedora.redhat.com with the question "do you appreciate
RH taking your responsibilities for you and your choices from you?"
and see what people think. This approach is bound to frustrate admins
and experienced users, while the novice users it could benefit are all
perfectly happy with their Windows XP home edition. 

Note You need to log in before you can comment on or make changes to this bug.